From 908427b2891b1872682e1f646a0a573d03aef371 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 15 Jan 2025 09:53:51 +0000
Subject: [PATCH] linux-firmware: upgrade 20241210 -> 20250109

---
 ...20241210.bb => linux-firmware_20250109.bb} | 293 +++++++++++++++++-
 1 file changed, 291 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20241210.bb => linux-firmware_20250109.bb} (85%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20241210.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250109.bb
similarity index 85%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20241210.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250109.bb
index d3757b5bbc..7fd0d01eea 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20241210.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250109.bb
@@ -1,3 +1,292 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -648,8 +648,11 @@
+#  File: mrvl/sd8688_helper.bin
+#  Link: libertas/sd8688_helper.bin -> ../mrvl/sd8688_helper.bin
+#  
+# -Licence: Redistributable. See LICENCE.Marvell for details.  Extracted from
+# -Linux driver tarballs downloaded from Marvell's "Extranet" with permission.
+# +Licence: Redistributable. See LICENCE.Marvell for details.
+# +
+# +Info:
+# +Extracted from Linux driver tarballs downloaded from Marvell's
+# +"Extranet" with permission.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -684,9 +687,11 @@
+#  File: mwl8k/fmimage_8764_ap-1.fw
+#  Version: 7.4.0.9
+#  
+# -Licence: Redistributable. See LICENCE.Marvell for details.  8687 images
+# -downloaded from Marvell's "Extranet" with permission.  8366 images contributed
+# -directly by Marvell.
+# +Licence: Redistributable. See LICENCE.Marvell for details.
+# +
+# +Info:
+# +8687 images downloaded from Marvell's "Extranet" with permission.
+# +8366 images contributed directly by Marvell.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -1656,7 +1661,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.ralink-firmware.txt for details
+#  
+# -rt3071.bin is a copy of bytes 4096-8191 of rt2870.bin for compatibility.
+# +Info: rt3071.bin is a copy of bytes 4096-8191 of rt2870.bin for compatibility.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -3016,6 +3021,8 @@
+#  File: "brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.txt"
+#  Link: brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  Link: brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+# +Link: brcm/brcmfmac43455-sdio.raspberrypi,500.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+# +Link: brcm/brcmfmac43455-sdio.raspberrypi,5-compute-module.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  Link: brcm/brcmfmac43455-sdio.Raspberry\ Pi\ Foundation-Raspberry\ Pi\ 4\ Model\ B.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  Link: brcm/brcmfmac43455-sdio.Raspberry\ Pi\ Foundation-Raspberry\ Pi\ Compute\ Module\ 4.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  File: "brcm/brcmfmac43455-sdio.MINIX-NEO Z83-4.txt"
+# @@ -3062,6 +3069,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.wl1251 for details.
+#  
+# +Info:
+#  The published NVS files are for testing only.  Every device needs to
+#  have a unique NVS which is properly calibrated for best results.
+#  
+# @@ -3124,6 +3132,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.ti-connectivity for details.
+#  
+# +Info:
+#  The NVS file includes two parts:
+#  	 - radio calibration
+#  	 - HW configuration parameters (aka. INI values)
+# @@ -3158,6 +3167,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.ti-connectivity for details.
+#  
+# +Info:
+#  The driver expects to find the firmwares under a ti-connectivity
+#  subdirectory.  So if your system looks for firmwares in /lib/firmware,
+#  the firmwares for wl18xx chips must be located in
+# @@ -3199,6 +3209,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.ti-connectivity for details.
+#  
+# +Info:
+#  	TIInit_7.2.31.bts version 7.2.31
+#  
+#  	In order to use that file copy it to /lib/firmware/ti-connectivity.
+# @@ -3374,6 +3385,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.rtlwifi_firmware.txt for details.
+#  
+# +Info:
+#      These firmware should be put under /lib/firmware/rtw88/
+#      And note that the rtw88 driver is able to support wake-on-wireless LAN
+#      for RTL8822C devices, after kernel v5.6+. So, make sure the firmware
+# @@ -3556,8 +3568,14 @@
+#  File: rtl_nic/rtl8125d-1.fw
+#  Version: 0.0.7
+#  
+# +File: rtl_nic/rtl8125d-2.fw
+# +Version: 0.0.4
+# +
+#  File: rtl_nic/rtl8126a-2.fw
+#  Version: 0.0.2
+# +
+# +File: rtl_nic/rtl8125bp-2.fw
+# +Version: 0.0.4
+#  
+#  File: rtl_nic/rtl8126a-3.fw
+#  Version: 0.0.5
+# @@ -4016,7 +4034,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.ca0132 for details
+#  
+# -Found also in alsa-firmware package.
+# +Info: Found also in alsa-firmware package.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -4194,7 +4212,7 @@
+#  Link: rtl_bt/rtl8723bs_config-OBDA8723.bin -> rtl8723bs_config.bin
+#  Link: rtl_bt/rtl8723bs_config-OBDA0623.bin -> rtl8723bs_config.bin
+#  File: rtl_bt/rtl8723cs_xx_fw.bin
+# -Link: rtl_bt/rtl8723cs_xx_config.bin -> rtl8723bs_config.bin
+# +File: rtl_bt/rtl8723cs_xx_config.bin
+#  File: rtl_bt/rtl8761a_fw.bin
+#  File: rtl_bt/rtl8761b_fw.bin
+#  File: rtl_bt/rtl8761b_config.bin
+# @@ -4231,6 +4249,7 @@
+#  
+#  Licence: Redistributable. See LICENCE.rtlwifi_firmware.txt for details.
+#  
+# +Info:
+#  Found in vendor driver, linux_bt_usb_2.11.20140423_8723be.rar
+#  From https://github.com/troy-tan/driver_store
+#  Files rtl_bt/rtl8822b_* came directly from Realtek. These files are
+# @@ -6208,9 +6227,8 @@
+#  
+#  File: qcom/venus-5.4/venus.mbn
+#  Link: qcom/venus-5.4/venus.mdt -> venus.mbn
+# -File: qcom/venus-5.4/venus_s6.mbn
+# -
+# -Version: VIDEO.VE.5.4-00058-PROD-4
+# +
+# +Version: VIDEO.VE.5.4-00059-PROD-1
+#  
+#  File: qcom/venus-6.0/venus.mbn
+#  
+# @@ -6309,6 +6327,7 @@
+#  
+#  Licence: Redistributable, BSD-3-Clause licence, See LICENSE.qcom_yamato for details
+#  
+# +Info:
+#  Binary files generated from header files in EfikaMX kernel sources. A prefix of
+#  four zero bytes was prepended to make them work with the DRM MSM driver. See
+#  https://github.com/genesi/linux-legacy/tree/master/drivers/mxc/amd-gpu
+# @@ -6395,6 +6414,7 @@
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# +Info:
+#  Binary files supplied originally from
+#  http://releases.linaro.org/96boards/dragonboard410c/qualcomm/firmware/linux-board-support-package-r1036.1.zip
+#  http://releases.linaro.org/96boards/dragonboard845c/qualcomm/firmware/RB3_firmware_20221121000000-v5.zip
+# @@ -6419,6 +6439,7 @@
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# +Info:
+#  Binary files supplied originally from
+#  http://releases.linaro.org/96boards/dragonboard845c/qualcomm/firmware/RB3_firmware_20221121000000-v5.zip
+#  
+# @@ -6654,6 +6675,7 @@
+#  
+#  Licence: Redistributable. See wfx/LICENCE.wf200 for details.
+#  
+# +Info:
+#  The firmware itself originates from https://github.com/SiliconLabs/wfx-firmware
+#  
+#  The *.pds files come from https://github.com/SiliconLabs/wfx-pds
+# @@ -7428,6 +7450,8 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8cdf-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-1f660105.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-1f660105.bin
+#  
+#  License: Redistributable. See LICENSE.cirrus for details.
+#  
+# @@ -7447,17 +7471,9 @@
+#  File: cirrus/cs35l56/CS35L56_Rev3.11.18.wmfw
+#  File: cirrus/cs35l56/CS35L56_Rev3.11.20.wmfw
+#  File: cirrus/cs35l56/CS35L56_Rev3.11.25.wmfw
+# +File: cirrus/cs35l56/CS35L56_Rev3.11.26.wmfw
+#  File: cirrus/cs35l56/CS35L56_Rev3.11.27.wmfw
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d01.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp1.bin
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp2.bin
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp3.bin
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp4.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp1.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp1.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp2.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp2.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp3.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp3.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp4.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp4.bin
+# +File: cirrus/cs35l56/CS35L56_Rev3.11.28.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.11.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0-amp2.bin
+# @@ -7534,6 +7550,16 @@
+#  File: cirrus/cs35l56-b0-dsp1-misc-103c8c53-amp2.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-103c8c53-amp3.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-103c8c53-amp4.bin
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d01.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+# +File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp1.bin
+# +File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp2.bin
+# +File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp3.bin
+# +File: cirrus/cs35l54-b0-dsp1-misc-103c8d01-amp4.bin
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp1.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp1.bin
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp2.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp2.bin
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp3.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp3.bin
+# +Link: cirrus/cs35l54-b0-dsp1-misc-103c8d08-amp4.bin -> cs35l54-b0-dsp1-misc-103c8d01-amp4.bin
+#  Link: cirrus/cs35l54-b0-dsp1-misc-103c8d85.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+#  File: cirrus/cs35l54-b0-dsp1-misc-103c8d85-amp1.bin
+#  File: cirrus/cs35l54-b0-dsp1-misc-103c8d85-amp2.bin
+# @@ -7598,6 +7624,9 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c-amp1.bin -> cs35l56-b0-dsp1-misc-103c8d90-amp1.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c-amp2.bin -> cs35l56-b0-dsp1-misc-103c8d90-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431264.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp1.bin -> cs35l56-b0-dsp1-misc-10431df3-amp1.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp2.bin -> cs35l56-b0-dsp1-misc-10431df3-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp2.bin
+# @@ -7620,11 +7649,6 @@
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e13-amp2.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e13-amp4.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e13-amp3.bin
+# -Link: cirrus/cs35l56-b0-dsp1-misc-10431f43.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# -File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp1.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp2.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp4.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp3.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431e63-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e63-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e63-spkid0-amp2.bin
+# @@ -7637,12 +7661,35 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431e83-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e83-spkid1-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431e83-spkid1-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431f43.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp2.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp4.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431f43-amp3.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.20.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid0-ampl.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid0-ampr.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.20.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid1-ampl.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233b-spkid1-ampr.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa233c.wmfw -> cs35l56/CS35L56_Rev3.11.28.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233c-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa233c-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.20.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid0-ampl.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid0-ampr.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.20.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid1-ampl.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa380e-spkid1-ampr.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.26.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid0-ampl.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid0-ampr.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.26.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid1-ampl.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3832-spkid1-ampr.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3905.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3905-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3905-amp2.bin
+#  
+#  License: Redistributable. See LICENSE.cirrus for details.
+#  
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -154,7 +443,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=c90a25ccbd027eb8d61b2943ab68447c \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -247,7 +536,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "2bb035708576d076f97d4196a1c22e0a4d33fbb0210d05428d0bf4f243e99af5"
+SRC_URI[sha256sum] = "a12cb38f4793394bf56c6702be29b6e4f09deca0714943bba98a492030651570"
 
 inherit allarch
 
-- 
2.44.1

